# setVideoEncoderMirror method Null safety

Future<void> setVideoEncoderMirror(

1. bool mirror

)

Set the mirror mode of image output by encoder

This API does not change the preview image of the local camera; instead, it changes the video image viewed by the remote user (and recorded by the server).

Parameters:

mirror true: mirrored; false: not mirrored. Default value: false

## Implementation

    Future<void> setVideoEncoderMirror(
        bool mirror // true: mirrored; false: not mirrored. Default value: false
        ) {
      return _channel.invokeMethod('setVideoEncoderMirror', {
        "mirror": mirror,
      });
    }